import React from "react";
import {withRouter} from 'react-router-dom'
import Isvg from 'react-inlinesvg';

require("./oops.scss");

const Oops = ({data, history}) => {
    if (!data) {
        history.replace('/');
        return <div></div>;
    }
    else {
        return (
            <div className="oops">
                <div className="logo">
                    <img src={require('../assets/images/netapp-logo-oops.jpg')} alt=""/>
                </div>
                <div>
                    <Isvg cacheGetRequests={true} src={require("../assets/svgs/oops.svg")}></Isvg>
                </div>
                <h1>Oops! something went wrong</h1>
                <p>Please contact Cloud Tiering support for more information about the error</p>
                <p>{`"${data.message}"`}</p>

                <div className="support">
                    <a href={`mailto:ng-cloud-tiering@netapp.com?subject=Error working with Cloud Tiering&body=Error Message: ${data.message}`}>Contact
                        Support</a>
                </div>
                <button className="button float-center" type="button" onClick={() => window.auth.logout()}>Log Out</button>
            </div>
        )
    }
};

export default withRouter(Oops);
