import Isvg from 'react-inlinesvg';
import React from 'react';
import {Link, withRouter} from 'react-router-dom';

class SectionHeader extends React.Component {
    constructor(props, context) {
        super(props, context);
        const {svgPath, title, back} = this.props;
        this.state = {
            svgPath, title, back
        };
    }

    render() {
        const svgPath = this.state.svgPath;
        const title = this.state.title;

        return (
            <header className="section-header">
                <div className="section-img"><Isvg src={svgPath}></Isvg></div>
                <h1 className="section-title">{title}</h1>
                <div className="section-bottom-line"></div>
                <Link className="close" to={this.state.back}>
                    <Isvg cacheGetRequests={true} src={require("./../../assets/svgs/x.svg")}></Isvg>
                </Link>
            </header>
        )
    }
}

export default withRouter(SectionHeader);

