import React from 'react';
import Isvg from "react-inlinesvg";
import {withRouter} from "react-router-dom";

require('./welcome.scss');

class Welcome extends React.Component {
    discover() {
        this.props.history.push('/discover');
    }

    render() {
        return (
            <div className="welcome">
                <div className="step-title">
                    <h1><Isvg src={require("./../../assets/svgs/logo.svg")}/>Welcome to Cloud Tiering</h1>
                    <h3>Tier Cold Data from an ONTAP Cluster to Object Storage</h3>
                </div>
                <div className="welcome-content">
                    <div className="diagram">
                        <div className="left text"><Isvg
                            src={require("./../../assets/svgs/welcome-cold-data-cluster.svg")}/>ONTAP CLUSTER
                        </div>
                        <div className="arrow"><Isvg src={require("./../../assets/svgs/welcome-arrow.svg")}/>COLD
                            DATA
                        </div>
                        <div className="right text"><Isvg
                            src={require("./../../assets/svgs/welcome-object-storage.svg")}/>OBJECT STORAGE
                        </div>
                    </div>
                    <div className="info">Data that was not accessed for a certain amount of days is moved to object
                        storage. In case the data in the object storage is being accessed, it is automatically moved
                        to the original location of the volume.
                    </div>
                </div>
                <div className="welcome-button">
                    <button className="button secondary" type="button" onClick={this.discover.bind(this)}>
                        Let's Start, Discover Your First Cluster
                    </button>
                </div>
            </div>
        )

    }
};

export default withRouter(Welcome);
