import React from "react"
import ReactPopover from "./ReactPopover";
import Isvg from "react-inlinesvg";
import classNames from "classnames"
require("./infoPopover.scss");

export default ({textOutside: noText, textElement, wrapperClassName, popoverText, popoverClassName, contentStyle, trigger}) => {
    return (
        <div className={classNames("info", wrapperClassName)}>
            <ReactPopover popoverClass={classNames('popover-info', popoverClassName)} contentStyle={contentStyle} trigger={trigger ? trigger : "mouseover"}
                          container={<button className="info" type="button">
                              <Isvg cacheGetRequests={true} src={require("./../../assets/svgs/info-circle-icon.svg")}/>
                              {!noText && textElement}
                          </button>}>
                {popoverText}
            </ReactPopover>
        </div>
    )
};