import React from 'react';
import PerfectScrollbar from 'react-perfect-scrollbar'
import 'react-perfect-scrollbar/dist/css/styles.css'
import _ from 'lodash'
require('./scrollbar.scss');

export default ({children, scrollOptions}) => {
    const footerSize = _.get(scrollOptions, "footerSize", 0);
    const height = _.get(scrollOptions, "height", `calc(100% - ${footerSize}px`);

    return (
        <PerfectScrollbar wheelPropagation={true} className={_.get(scrollOptions, "fixedRight", false) ? "fixed-right" : ""} style={{height}}>
            {children}
        </PerfectScrollbar>
        )
}
