import React from 'react';
import InfoPopover from "../reactPopover/InfoPopover";
require('./cardComponents.scss');

export const CardItem = ({children, icon, title, className}) => {
    return (
        <div className={`card-item ${className ? className : ""}`}>
            <div className="icon">
                {icon}
            </div>
            <div className="title">{title}</div>
            {children}
        </div>
    )
};

export const ValuesContainer = ({values}) => {
    return (
        <div className="values-container">
            {values.map((value, index)=> {
                return (
                    <ValueItem {...value} key={index}/>
                )
            })}
        </div>
    )
};

export const ValueItem = ({value, unit, info, italicText}) => {
    return (
        <div className="value-item">
            {value && <div className="value">{value}</div>}
            {unit && <div className="unit">{unit}</div>}
            {info}
            {italicText && <div className="italic">{italicText}</div>}
        </div>
    )
};

export const Estimated = ({text, popoverText}) => {
    return (
        <InfoPopover wrapperClassName="estimated" popoverClassName="estimated"
                     textElement={text}
                     popoverText={popoverText}
                     contentStyle={{width: "500px"}}
        />
    );
};
