import {removeStartingAndEndingSlash} from "../../utils/encoders";

const mapStateToProps = (state, ownProps) => {
    const addWizardParams = (mappedState, ownProps) => {
        if (!mappedState.wizard ||
            !mappedState.wizard.currentStep ||
            !ownProps.match ||
            !ownProps.match.params)
            return mappedState;
        const {stepNameToPathName, currentStep} = mappedState.wizard;
        //remove beginning slash and ending slash
        const currentPath = removeStartingAndEndingSlash(ownProps.location.pathname);

        const currentPathSegments = currentPath.split("/");

        const currentPathStep = stepNameToPathName[currentStep];
        const currentPathIndex = currentPathSegments.indexOf(currentPathStep);
        const newPath = currentPathIndex > -1 ? currentPathSegments.slice(0, currentPathIndex + 1).join("/") : currentPath;
        // console.log(`wizardMapStateToProps ${currentStep}\n ${JSON.stringify(currentPathSegments)} \n ${newPath}`);

        const nextStep = (suffix, history) => {
            history.push(`/${newPath}${suffix}${history.location.search}`);
        };
        const {appRouting: {routingInfo: {urlParams: {decodedParams}}}} = state;
        mappedState.wizard = mappedState.wizard.set("nextStep", nextStep).updateIn(['selectedWizardParams'], currentParams => {
            return Object.assign({}, currentParams, decodedParams);
        });
        // console.log(`%%%%%%%%%%%\nselectedWizardParams:${JSON.stringify(mappedState.wizard.selectedWizardParams)}\n%%%%%%%%%%%%%%%%%%%`);
        return mappedState;
    };

    return addWizardParams({
        wizard: state.wizardReducer.wizard,
        routing: state.router,
        routingInfo: state.appRouting.routingInfo
    }, ownProps);
};

export default mapStateToProps;