import {ROUTING_CLEAR_URL_PARAMS, ROUTING_UPDATE_URL_PARAMS} from "../actions";
import Immutable from "seamless-immutable";
import {get} from 'lodash'

export const defaultState = () => Immutable({
    routingInfo: {}
});

export default (state = defaultState(), {payload, type}) => {
    switch (type){
        case ROUTING_UPDATE_URL_PARAMS: {
            const updatedDecodedParams = Object.assign({}, get(state, 'routingInfo.urlParams.decodedParams'), payload.urlParams.decodedParams);
            return state.setIn(['routingInfo'], payload).setIn(['routingInfo', 'urlParams', 'decodedParams'], updatedDecodedParams);
        }
        case ROUTING_CLEAR_URL_PARAMS : {
            return state.setIn(['routingInfo', 'urlParams', 'decodedParams'], {});
        }
        default: return state;
    }
};

