import React from 'react';
import Discover from '../../../src/components/discover/Discover';
import {GET_AGENTS_QUERY_MOCK} from '../../queries-mock';
const wait = require('waait');


describe('Test DiscoverComponent', () => {
    let discoverWrapper;
    beforeAll(() => {
        discoverWrapper = initComponentEnzymeTest([GET_AGENTS_QUERY_MOCK], Discover);
    });

    it('Check existence of loading bar before query finish', async () => {
        expect(discoverWrapper.find('.loading-bar').hostNodes()).toHaveLength(1);
    });

    it('Match Discover snapshot after getting agents', async () => {
        discoverWrapper.update();
        await wait(0); //To make sure the get agents finish loading.
        // expect(discoverWrapper).toMatchSnapshot();
    });

    it('Check there is exactly 2 agents and 1 add agent', async () => {
        discoverWrapper.update();
        await wait(0); //To make sure the get agents finish loading.
        expect(discoverWrapper.find('.add-agent').hostNodes()).toHaveLength(1);
        expect(discoverWrapper.find('tr').hostNodes()).toHaveLength(2);
        expect(discoverWrapper.find('.loading-bar').hostNodes()).toHaveLength(0);
    });
});
